---
layout: docs
page_title: roles read - Command
description: >-
  The "roles read" command retrieves the details of a role resource.
---

# roles read

Command: `boundary roles read`

The `boundary roles read` command lets you read the information about a Boundary role using its given ID.

## Example

This example reads the details of a role with the ID `r_1234567890`:

```shell-session
$ boundary roles read -id r_1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary roles read [options] [args]
```

</CodeBlockConfig>

### Command options

- `-id=<string>` - The ID of the role you want to read.

@include 'cmd-option-note.mdx'